msfileaccessor.cpp File Reference
`#include <QDebug>`
`#include <QFile>`
`#include <QFileInfo>`
`#include "msfileaccessor.h"`
`#include "pwizmsfilereader.h"`
`#include "timsmsfilereader.h"`
`#include "xymsfilereader.h"`
`#include "../exception/exceptionnotfound.h"`
`#include "../exception/exceptionnotpossible.h"`
`#include "../utils.h"`
`#include "../msrun/msrunid.h"`
`#include "../msrun/private/pwizmsrunreader.h"`
`#include "../msrun/private/timsmsrunreader.h"`
`#include "../msrun/private/timsmsrunreaderms2.h"`
`#include "../msrun/xymsrunreader.h"`

Go to the source code of this file.

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge